Loading...
Searching...
No Matches
amplifier.h File Reference
Amplifier API

Hamlib amplifier data structures. More...

`#include <hamlib/rig.h>`
`#include <hamlib/amplist.h>`
`#include <hamlib/amp_state.h>`
Include dependency graph for amplifier.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | amp_caps
| Amplifier capabilities. More...
struct | amp
| Master amplifier structure. More...

## Macros

#define | NETAMPCTL_RET "RPRT "
| The token in the netampctl protocol for returning an error condition code.
#define | AMP_MODEL(arg)
#define | amp_debug rig_debug
| Convenience macro for generating debugging messages.
#define | AMP_TYPE_MASK (AMP_FLAG_1|AMP_FLAG_2)
#define | AMP_TYPE_OTHER 0
#define | AMP_TYPE_1 AMP_FLAG_1
#define | AMP_TYPE_2 AMP_FLAG_2
#define | AMP_TYPE_ALL (AMP_FLAG_1|AMP_FLAG_2)

## Typedefs

typedef struct amp | AMP
| Main amplifier handle type definition.
typedef float | swr_t
| Type definition for SWR (Standing Wave Ratio).
typedef int | tune_value_t
| Type definition for the transmatch tuning values of capacitance and inductance.
typedef enum amp_reset_e | amp_reset_t
| Amplifier reset tokens.
typedef enum amp_type_e | amp_type_t
| Amplifier type flags.

## Enumerations

enum | amp_reset_e { AMP_RESET_MEM , AMP_RESET_FAULT , AMP_RESET_AMP }
| Amplifier reset tokens. More...
enum | amp_type_e { AMP_FLAG_1 = (1 << 1) , AMP_FLAG_2 = (1 << 2) }
| Amplifier type flags. More...
enum | amp_level_e { AMP_LEVEL_NONE = 0 , AMP_LEVEL_SWR = (1 << 0) , AMP_LEVEL_NH = (1 << 1) , AMP_LEVEL_PF = (1 << 2) , AMP_LEVEL_PWR_INPUT = (1 << 3) , AMP_LEVEL_PWR_FWD = (1 << 4) , AMP_LEVEL_PWR_REFLECTED = (1 << 5) , AMP_LEVEL_PWR_PEAK = (1 << 6) , AMP_LEVEL_FAULT = (1 << 7) , AMP_LEVEL_PWR = (1 << 8) }

## Detailed Description

Hamlib amplifier data structures.

This file contains the data structures and declarations for the Hamlib amplifier Application Programming Interface (API).

See the amplifier.c file for details on the amplifier API functions.